From be0d52ab7875f91d783feba3ea12f338dfd08d45 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?M=C3=A5ns=20Rullg=C3=A5rd?= <mans@mansr.com>
Date: Wed, 27 Sep 2006 21:24:38 +0000
Subject: [PATCH] make sure we can create and execute files in $TMPDIR

Originally committed as revision 6362 to svn://svn.ffmpeg.org/ffmpeg/trunk
---
 configure | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/configure b/configure
index 12fd3c563e5..9fa40588448 100755
--- a/configure
+++ b/configure
@@ -1110,6 +1110,19 @@ if test $tune != "generic"; then
     esac
 fi
 
+# make sure we can execute files in $TMPDIR
+cat >$TMPE 2>>$logfile <<EOF
+#! /bin/sh
+EOF
+chmod +x $TMPE >>$logfile 2>&1
+if ! $TMPE >>$logfile 2>&1; then
+    cat <<EOF
+Unable to create and execute files in $TMPDIR1.  Set the TMPDIR environment
+variable to another directory.
+EOF
+    die "Sanity test failed."
+fi
+
 # compiler sanity check
 check_exec <<EOF
 int main(){
-- 
GitLab